%{?nodejs_find_provides_and_requires}
Name:                nodejs-deep-equal
Version:             1.0.1
Release:             1
Summary:             Node's assert.deepEqual algorithm
License:             MIT
URL:                 https://github.com/substack/node-deep-equal
Source0:             https://registry.npmjs.org/deep-equal/-/deep-equal-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
ExclusiveArch:       %{ix86} x86_64 %{arm} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(tape)
%description
Node's `assert.deepEqual()` algorithm implemented as a standalone module.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/deep-equal
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/deep-equal
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/tape/bin/tape test/*.js

%files
%doc readme.markdown example/
%license LICENSE
%{nodejs_sitelib}/deep-equal

%changelog
* Tue Aug 18 2020 Anan Fu <fuanan3@huawei.com> - 1.0.1-1
- package init
